Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cmc
Class GetCRL

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.cmc.GetCRL

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class GetCRL
extends ASN1Object

id-cmc-getCRL OBJECT IDENTIFIER ::= {id-cmc 16} GetCRL ::= SEQUENCE { issuerName Name, cRLName GeneralName OPTIONAL, time GeneralizedTime OPTIONAL, reasons ReasonFlags OPTIONAL }

Constructor Summary
`GetCRL(X500Name issuerName, GeneralName cRLName, ASN1GeneralizedTime time, ReasonFlags reasons)`

Method Summary
`GeneralName` | `getcRLName()`
`static GetCRL` | `getInstance(java.lang.Object o)`
`X500Name` | `getIssuerName()`
`ReasonFlags` | `getReasons()`
`ASN1GeneralizedTime` | `getTime()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetCRL

    public GetCRL(X500Name issuerName,
                  GeneralName cRLName,
                  ASN1GeneralizedTime time,
                  ReasonFlags reasons)

Method Detail

### getInstance

    public static GetCRL getInstance(java.lang.Object o)

### getIssuerName

    public X500Name getIssuerName()

### getcRLName

    public GeneralName getcRLName()

### getTime

    public ASN1GeneralizedTime getTime()

### getReasons

    public ReasonFlags getReasons()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD